Subject: Segmentation violations with b18 (pdcurses)
From: [email-masked] (Warren Jones)

15 May 1997 21:15:55 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL23]
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

I first built pdcurses 2.3-beta with the b17.1 tools.  The distribution
includes a gcc/win32 makefile, and after a couple minor tweaks everything
compiled without difficulty, and all the example programs ran more or
less correctly. 

I just rebuilt pdcurses with the b18 tools.  Everything compiled and
linked OK, just as before, but when I went to run the example programs,
they all died with a segmentation violation.  The stack trace from gdb
is not very illuminating (at least not to me):

    Program received signal SIGSEGV, Segmentation fault.

    0x77f6cb4e in ?? ()
    (gdb) bt
    #0  0x77f6cb4e in ?? ()
    #1  0x77f674c3 in ?? ()
    #2  0x2a92333 in _size_of_stack_reserve__ ()
    #3  0x2a92467 in _size_of_stack_reserve__ ()
    #4  0x2a95717 in _size_of_stack_reserve__ ()
    #5  0x77f6b42b in ?? ()
    #6  0x77f63a9e in ?? ()
    #7  0x77f1372d in ?? ()
    #8  0x77f13445 in ?? ()
    #9  0x77e786a0 in _libwsock32_a_iname ()
    #10 0x77f634c9 in ?? ()
    #11 0x77f61c3f in ?? ()
    #12 0x77f61187 in ?? ()

Has anyone else had similar problems?  I'd be grateful for any
insights.

--------------------------------------------------------------------
Warren Jones              | To keep every cog and wheel is the first
Fluke Corporation         | precaution of intelligent tinkering.
Everett, Washington, USA  |                          -- Aldo Leopold
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".